#ifndef PDB_ATTRIBUTES_H
#define PDB_ATTRIBUTES_H

#ifndef TEXT_H
#include "Text.h"
#endif

namespace MM
{


class Pdb_attributes 
{
public:
    virtual const   Text & residue_name()   const { return residue_name_; }
    virtual const   Text & name()           const { return name_; }
    virtual int     residue_number()        const { return residue_number_; }
    virtual int     chain_id()            const { return chain_id_; }
    virtual int     number        ()        const { return number_; }

    virtual void set_residue_name( const Text & a ) { residue_name_ = a; }
    virtual void set_name( const Text & a ) { name_ = a; }
    virtual void set_residue_number( int a ) { residue_number_ = a; }
    virtual void set_chain_id(int a) { chain_id_ = a; }
    virtual void set_number ( int a ) { number_ = a; }
    Pdb_attributes( );
    virtual ~Pdb_attributes() { }

private:
    int                     number_;
    Text                    name_;
    Text                    residue_name_;
    int                     residue_number_;
    int                     chain_id_;
};

}//MM

#endif //PDB_ATTRIBUTES_H


